ブラウザのサポート

ガイドBoxの埋め込みUI Elementsブラウザのサポート

ブラウザのサポート

Box UI Elementsは、以下のブラウザでサポートされています。

  • Chrome、Firefox、Safari、およびEdge (直近の2バージョン)
  • Internet Explorer 11では限定的サポート(ES2015/Intl polyfillが必要)
  • Mobile ChromeおよびSafari

ES2015 Intl Polyfill

ほとんどのBox UI Elementsには、Intl (ECMAScript Internationalization API)をサポートするES2015対応ブラウザが必要です。アプリケーションでInternet Explorer 11またはSafari 9をサポートする必要がある場合、polyfillライブラリまたはpolyfill.ioなどのサービスをインクルードして、ユーザーが必要とするpolyfillだけがスマートに読み込まれるようにしてください。Boxは、次の場所にあるcore-js標準ライブラリも提供しています。

https://cdn01.boxcdn.net/polyfills/core-js/2.5.3/core.min.js

Promisesのpolyfill

Preview UI ElementではPromisesを使用します。使用するアプリケーションでInternet Explorer 11をサポートする必要がある場合、好みのpolyfillライブラリまたはpolyfill.ioなどのサービスをインクルードして、ユーザーが必要とするpolyfillだけが効率良く読み込まれるようにしてください。Boxは、以下にあるBluebird Promiseライブラリのコピーも提供しています。

https://cdn01.boxcdn.net/polyfills/bluebird/3.5.1/bluebird.min.js